---
title: VRFieldOfView.VRFieldOfView()
slug: Web/API/VRFieldOfView/VRFieldOfView
tags:
  - API
  - Constructor
  - Obsolete
  - Reference
  - VR
  - VRFieldOfView
  - Virtual Reality
  - WebVR
---
<p>{{obsolete_header()}}</p>

<p>{{APIRef("WebVR API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>VRFieldOfView()</code></strong> constructor creates a new {{domxref("VRFieldOFView")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<p>There are two forms of this constructor, which take their information in slightly different ways. The first one accepts four separate arguments — the {{domxref("VRFieldOfViewReadOnly.upDegrees")}}, {{domxref("VRFieldOfViewReadOnly.rightDegrees")}}, {{domxref("VRFieldOfViewReadOnly.downDegrees")}}, and {{domxref("VRFieldOfViewReadOnly.leftDegrees")}} values you want the field of view to have</p>

<pre class="brush: js">var myFOV = new VRFieldOfView(upDegrees, rightDegrees, downDegrees, leftDegrees);</pre>

<p>The second one takes a <code>VRFieldOfViewInit</code> object as a single argument, which is just a dictionary containing the four degree values mentioned above:</p>

<pre class="brush: js">var init = {upDegrees:up,rightDegrees:right,downDegrees:down,leftDegrees:left}
var myFOV = new VRFieldOfView(init);</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li>
  <p>Four argument version:</p>

  <dl>
   <dt>upDegrees</dt>
   <dd>The number of degrees upwards that the field of view will extend in.</dd>
   <dt>rightDegrees</dt>
   <dd>The number of degrees to the right that the field of view will extend in.</dd>
   <dt>downDegrees</dt>
   <dd>The number of degrees downwards that the field of view will extend in.</dd>
   <dt>leftDegrees</dt>
   <dd>The number of degrees to the left that the field of view will extend in.</dd>
  </dl>
 </li>
 <li>
  <p>One argument version:</p>

  <dl>
   <dt>init</dt>
   <dd>A dictionary object containing the four degree values specified above.</dd>
  </dl>
 </li>
</ul>

<h2 id="Examples">Examples</h2>

<p>The following simple example shows a function that can be used to set a custom field of view with four specified degree values for up, right, down and left. The <code>VRFieldOfView()</code> constructor is used to create a {{domxref("VRFieldOfView")}} object from the supplied values, which is then fed into the {{domxref("HMDVRDevice.setFieldOfView")}} method.</p>

<pre class="brush: js">function setCustomFOV(up,right,down,left) {
  var testFOV = new VRFieldOfView(up,right,down,left);

  gHMD.setFieldOfView(testFOV,testFOV,0.01,10000.0);

  var lEye = gHMD.getEyeParameters('left');
  var rEye = gHMD.getEyeParameters('right');
  console.log(lEye.currentFieldOfView);
  console.log(rEye.currentFieldOfView);
}</pre>

<div class="note">
<p><strong>Note</strong>: When testing, setting a weird/tiny field of view can really mess up your view. It is a good idea to grab the current field of view first (using {{domxref("VREyeParameters.currentFieldOfView")}}) before making any drastic changes, so you can reset it afterwards if needed.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRFieldOfView.VRFieldOfView")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
